Bug 1660402 (CVE-2018-11769) - CVE-2018-11769 couchdb: Possible privilege escalation by couchdb administrator to system couchdb user
Summary: CVE-2018-11769 couchdb: Possible privilege escalation by couchdb administrato...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-11769
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1660403
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 09:39 UTC by Andrej Nemec
Modified: 2019-09-29 15:04 UTC (History)
1 user (show)

Fixed In Version: couchdb 2.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:44:07 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-12-18 09:39:54 UTC
CouchDB administrative users can configure the database server via HTTP(S). Due to insufficient validation of administrator-supplied configuration settings via the HTTP API, it is possible for a CouchDB administrator user to escalate their privileges to that of the operating system’s user under which CouchDB runs, by bypassing the blacklist of configuration settings that are not allowed to be modified via the HTTP API.

This privilege escalation effectively allows a CouchDB admin user to gain arbitrary remote code execution, bypassing mitigations for CVE-2017-12636 and CVE-2018-8007.

References:

https://lists.apache.org/thread.html/1052ad7a1b32b9756df4f7860f5cb5a96b739f444117325a19a4bf75@%3Cdev.couchdb.apache.org%3E

Comment 1 Andrej Nemec 2018-12-18 09:40:07 UTC
Created couchdb tracking bugs for this issue:

Affects: fedora-all [bug 1660403]

Comment 2 Product Security DevOps Team 2019-06-10 10:44:07 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.